--- configure.orig
+++ configure
@@ -213,32 +213,38 @@ done
 
 for flag in -fPIC -Wl,--no-undefined -Wl,--as-needed
 do
-	test_ldflags "$flag"
+	printf 'Checking for linker flag %s... ' "${flag}"
+	if test_ldflags "$flag"
+	then
+		echo yes
+	else
+		echo no
+	fi
 done
 
 soname=libmrsh.so.$(echo "$SOVERSION" | cut -d. -f1)
 printf "Checking for specifying soname for shared lib... "
-if ! \
-	test_ldflags -Wl,-soname,$soname || \
+if
+	test_ldflags -Wl,-soname,$soname ||
 	test_ldflags -Wl,-install_name,$soname
 then
+	echo yes
+else
 	echo no
 	echo "Unable to specify soname (is $(uname) supported?)" >&2
 	exit 1
-else
-	echo yes
 fi
 
 printf "Checking for exported symbol restrictions... "
-if ! \
-	test_ldflags -Wl,--version-script="libmrsh.gnu.sym" || \
+if
+	test_ldflags -Wl,--version-script="libmrsh.gnu.sym" ||
 	test_ldflags -Wl,-exported_symbols_list,"libmrsh.darwin.sym"
 then
+	echo yes
+else
 	echo no
 	echo "Unable to specify exported symbols (is $(uname) supported?)" >&2
 	exit 1
-else
-	echo yes
 fi
 
 if [ $use_readline -eq -1 ]
